Subject: Re: [PATCH 3.14-stable] net/mlx4_core: Preserve pci_dev_data after __mlx4_remove_one()

From: Wei Yang <[email-masked]>
Date: Wed, 4 Jun 2014 09:44:19 +0800

On Tue, Jun 03, 2014 at 11:43:05AM +0300, Or Gerlitz wrote:
>On Mon, Jun 2, 2014 at 4:53 PM, Wei Yang <[email-masked]> >
>
>> Thanks for your notification, I saw your patch to fix this issue.
>> Sorry for bringing a bug in the driver and thanks for your test :-)
>
>sure
>
>> Hmm... actually I don't understand how you trigger this crash?
>
>1. load the driver with num_vfs = (say) four and probe_vf (say) = two
>2. reboot
>

Thanks, I would do some tests to see why this happens.

>[...]
>
>> Last but not the least, based on the fix you have submitted, the porting here
>> is correct. My suggestion is after your fix is merged, you could do the
>> porting to those version too.
>
>As I wrote in the other thread to Bjorn, we're practically OOO for the
>rest of this week, and anyway, I suggest we 1st see what ends up
>happening with the fix to the regression introduced by your commit and
>take it from there.

Sure :-)

-- 
Richard Yang
Help you, Help me